import { mchRoutes } from '@/router/mchRouter'
import Layout from '@/layout/index.vue'

export const agentRoutes = [
  {
    path: '/agent',
    component: Layout,
    hidden: false,
    alwaysShow: true,
    meta: {
      title: '代理管理',
      icon: 'agent'
    },
    children: [
      {
        path: 'agent',
        component: () => import('@/views/agent/device'),
        hidden: false,
        name: "AgentDevice",
        meta: {
          noCache: false,
          title: '代理设备',
          icon: 'monitor',
        }
      },
    ]
  },
  ...mchRoutes
]
